> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# listProjects

> Get all projects in a workspace



## OpenAPI

````yaml GET /project
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /project:
    get:
      tags:
        - Projects
      summary: List Projects
      description: Get all projects in a workspace
      operationId: listProjects
      parameters:
        - in: query
          name: workspaceId
          schema:
            type: string
          required: true
        - in: query
          name: includeArchived
          schema:
            type: string
      responses:
        '200':
          description: List of projects with statistics
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    workspaceId:
                      type: string
                    slug:
                      type: string
                    icon:
                      type: string
                      nullable: true
                    name:
                      type: string
                    description:
                      type: string
                      nullable: true
                    createdAt:
                      type: string
                      format: date-time
                    isPublic:
                      type: boolean
                      nullable: true
                    archivedAt:
                      nullable: true
                  required:
                    - id
                    - workspaceId
                    - slug
                    - icon
                    - name
                    - description
                    - createdAt
                    - isPublic
                    - archivedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````